Attention is currently required from: fixeria, laforge, neels.
pespin has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-msc/+/36760?usp=email )
Change subject: libmsc: add X5 timer for delaying LU transactions
......................................................................
Patch Set 2:
(1 comment)
File src/libmsc/msc_a.c:
https://gerrit.osmocom.org/c/osmo-msc/+/36760/comment/9542b60e_8268fa81
PS2, Line 192: osmo_timer_schedule(&msc_a->lu_delay_timer, Tval, 0);
> are you sure the object cannot be destroyed in any way while the timer is set? […]
Maybe to be on the safe side locate the use_count_free/release to talloc_free callback and make sure to deregister the timer.
--
To view, visit https://gerrit.osmocom.org/c/osmo-msc/+/36760?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-msc
Gerrit-Branch: master
Gerrit-Change-Id: Ic519cab55d65e47b2636124427dab1a1d80fab78
Gerrit-Change-Number: 36760
Gerrit-PatchSet: 2
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: neels <nhofmeyr(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: neels <nhofmeyr(a)sysmocom.de>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Comment-Date: Fri, 10 May 2024 14:00:58 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: comment
Attention is currently required from: fixeria.
pespin has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36772?usp=email )
Change subject: msc: add TC_gsup_mt_sms_lu_x5 for X5 (LU delay) timer
......................................................................
Patch Set 1: Code-Review+1
(1 comment)
File msc/MSC_Tests.ttcn:
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36772/comment/849afcc6_ab79…
PS1, Line 3307: f_sleep(0.5);
maybe add a comment here describing this is an explicit sleep to actually test the feature
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36772?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I74fa174ea649adb2112c8e471c0e339a2197a08d
Gerrit-Change-Number: 36772
Gerrit-PatchSet: 1
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Comment-Date: Fri, 10 May 2024 13:56:40 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment
osmith has submitted this change. ( https://gerrit.osmocom.org/c/erlang/osmo_dia2gsup/+/36771?usp=email )
Change subject: contrib/systemd: run as osmocom user
......................................................................
contrib/systemd: run as osmocom user
Run the systemd service as osmocom user and group instead of root. Set
the StateDirectory and WorkingDirectory like we have it in other Osmocom
service files. Remove the ExecStartPre mkdir, as the directory now gets
created by postinst.
Related: OS#4107
Change-Id: I2c0c7f4b98300b3b0bb5b95013b51b6b60625b95
---
M contrib/systemd/osmo_dia2gsup.service
A debian/postinst
2 files changed, 49 insertions(+), 1 deletion(-)
Approvals:
Jenkins Builder: Verified
fixeria: Looks good to me, but someone else must approve
pespin: Looks good to me, approved
diff --git a/contrib/systemd/osmo_dia2gsup.service b/contrib/systemd/osmo_dia2gsup.service
index 2ef737c..e3d092e 100644
--- a/contrib/systemd/osmo_dia2gsup.service
+++ b/contrib/systemd/osmo_dia2gsup.service
@@ -7,8 +7,11 @@
[Service]
Type=simple
Restart=always
+StateDirectory=osmo_dia2gsup
+WorkingDirectory=%S/osmo_dia2gsup
+User=osmocom
+Group=osmocom
Environment="HOME=/var/lib/osmo_dia2gsup"
-ExecStartPre=/usr/bin/mkdir -p /var/lib/osmo_dia2gsup
ExecStart=/usr/bin/osmo-dia2gsup foreground
RestartSec=2
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..f9f64c8
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,30 @@
+#!/bin/sh -e
+case "$1" in
+ configure)
+ # Create the osmocom group and user (if it doesn't exist yet)
+ if ! getent group osmocom >/dev/null; then
+ groupadd --system osmocom
+ fi
+ if ! getent passwd osmocom >/dev/null; then
+ useradd \
+ --system \
+ --gid osmocom \
+ --home-dir /var/lib/osmocom \
+ --shell /sbin/nologin \
+ --comment "Open Source Mobile Communications" \
+ osmocom
+ fi
+
+ # Fix permissions of previous (root-owned) install (OS#4107)
+ chown osmocom:osmocom /etc/osmocom/osmo_dia2gsup.service
+ chmod 0660 /etc/osmocom/osmo_dia2gsup.service
+ chown root:osmocom /etc/osmocom
+ chmod 2775 /etc/osmocom
+ mkdir -p /var/lib/osmo_dia2gsup
+ chown -R osmocom:osmocom /var/lib/osmo_dia2gsup
+ ;;
+esac
+
+# dh_installdeb(1) will replace this with shell code automatically
+# generated by other debhelper scripts.
+#DEBHELPER#
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo_dia2gsup/+/36771?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: erlang/osmo_dia2gsup
Gerrit-Branch: master
Gerrit-Change-Id: I2c0c7f4b98300b3b0bb5b95013b51b6b60625b95
Gerrit-Change-Number: 36771
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: merged
Attention is currently required from: osmith.
pespin has posted comments on this change. ( https://gerrit.osmocom.org/c/erlang/osmo_dia2gsup/+/36771?usp=email )
Change subject: contrib/systemd: run as osmocom user
......................................................................
Patch Set 1: Code-Review+2
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo_dia2gsup/+/36771?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: erlang/osmo_dia2gsup
Gerrit-Branch: master
Gerrit-Change-Id: I2c0c7f4b98300b3b0bb5b95013b51b6b60625b95
Gerrit-Change-Number: 36771
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: osmith <osmith(a)sysmocom.de>
Gerrit-Comment-Date: Fri, 10 May 2024 13:50:16 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment
Attention is currently required from: fixeria, laforge, neels.
pespin has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-msc/+/36760?usp=email )
Change subject: libmsc: add X5 timer for delaying LU transactions
......................................................................
Patch Set 2:
(1 comment)
File src/libmsc/msc_a.c:
https://gerrit.osmocom.org/c/osmo-msc/+/36760/comment/1e95aa9b_3af239c9
PS2, Line 192: osmo_timer_schedule(&msc_a->lu_delay_timer, Tval, 0);
are you sure the object cannot be destroyed in any way while the timer is set?
Because if that happens, you'll be releasing a memory chunk which hwas a timer scheduled, which will end up in use-after-free.
--
To view, visit https://gerrit.osmocom.org/c/osmo-msc/+/36760?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-msc
Gerrit-Branch: master
Gerrit-Change-Id: Ic519cab55d65e47b2636124427dab1a1d80fab78
Gerrit-Change-Number: 36760
Gerrit-PatchSet: 2
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: neels <nhofmeyr(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: neels <nhofmeyr(a)sysmocom.de>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Comment-Date: Fri, 10 May 2024 13:49:37 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
Attention is currently required from: osmith.
fixeria has posted comments on this change. ( https://gerrit.osmocom.org/c/erlang/osmo_dia2gsup/+/36771?usp=email )
Change subject: contrib/systemd: run as osmocom user
......................................................................
Patch Set 1: Code-Review+1
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo_dia2gsup/+/36771?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: erlang/osmo_dia2gsup
Gerrit-Branch: master
Gerrit-Change-Id: I2c0c7f4b98300b3b0bb5b95013b51b6b60625b95
Gerrit-Change-Number: 36771
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Attention: osmith <osmith(a)sysmocom.de>
Gerrit-Comment-Date: Fri, 10 May 2024 13:39:53 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment
pespin has submitted this change. ( https://gerrit.osmocom.org/c/docker-playground/+/36650?usp=email )
Change subject: asterisk: pjsip.conf: Mark templates accordingly
......................................................................
asterisk: pjsip.conf: Mark templates accordingly
Mark templates as such, in order to remove error messages during
asterisk setup when trying to apply the templates (which lack fields
such as "username", provided by config sections using the templates).
Reference: https://docs.asterisk.org/Fundamentals/Asterisk-Configuration/Asterisk-Conf…
Change-Id: Ia132c2e90cf6ee44145ca2e2555cf2dc6c1cfd51
---
M ttcn3-asterisk-ims-ue-test/asterisk/pjsip.conf
1 file changed, 18 insertions(+), 4 deletions(-)
Approvals:
laforge: Looks good to me, but someone else must approve
pespin: Looks good to me, approved
Jenkins Builder: Verified
jolly: Looks good to me, but someone else must approve
diff --git a/ttcn3-asterisk-ims-ue-test/asterisk/pjsip.conf b/ttcn3-asterisk-ims-ue-test/asterisk/pjsip.conf
index 39cf9bb..57cab41 100644
--- a/ttcn3-asterisk-ims-ue-test/asterisk/pjsip.conf
+++ b/ttcn3-asterisk-ims-ue-test/asterisk/pjsip.conf
@@ -7,8 +7,7 @@
;external_media_address=[obfuscated]
;external_signaling_address=[obfuscated]
-
-[endpoint_phone_template]
+[endpoint_phone_template](!)
type=endpoint
transport=transport-udp
context=from-phone
@@ -16,11 +15,11 @@
allow=alaw
allow=ulaw
-[auth_phone_template]
+[auth_phone_template](!)
type=auth
auth_type=userpass
-[aor_phone_template]
+[aor_phone_template](!)
type=aor
max_contacts=1
remove_existing=yes
--
To view, visit https://gerrit.osmocom.org/c/docker-playground/+/36650?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-Change-Id: Ia132c2e90cf6ee44145ca2e2555cf2dc6c1cfd51
Gerrit-Change-Number: 36650
Gerrit-PatchSet: 3
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: dexter <pmaier(a)sysmocom.de>
Gerrit-Reviewer: jolly <andreas(a)eversberg.eu>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: merged